<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2022 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<configuration description="Config for Ad Services Service-core AdId unit test cases">
<option name="test-tag" value="AdServicesServiceCoreAppSearchUnitTests" />

<target_preparer class="com.android.tradefed.targetprep.suite.SuiteApkInstaller">
    <option name="cleanup-apks" value="true"/>
    <option name="check-min-sdk" value="true" />
    <option name="test-file-name" value="AdServicesServiceCoreAppSearchUnitTests.apk"/>
</target_preparer>
<target_preparer class="com.android.tradefed.targetprep.RunCommandTargetPreparer">
    <option name="run-command" value="setprop log.tag.adservices VERBOSE" />
    <option name="run-command" value="setprop log.tag.adservices.topics VERBOSE" />
    <option name="run-command" value="setprop log.tag.adservices.fledge VERBOSE" />
</target_preparer>
<test class="com.android.tradefed.testtype.AndroidJUnitTest">
    <option name="hidden-api-checks" value="false" /> <!-- Allow hidden API uses -->
    <option name="package" value="com.android.adservices.servicecoreappsearchtest"/>
</test>
<object type="module_controller"
        class="com.android.tradefed.testtype.suite.module.MainlineTestModuleController">
    <option name="mainline-module-package-name" value="com.google.android.adservices"/>
</object>
<option name="config-descriptor:metadata" key="mainline-param" value="com.google.android.adservices.apex" />
</configuration>
